.content-wrapper {
    padding-top: 64px;
}

@media (min-width: 768px) {
    .content-wrapper {
        padding-top: 80px;
    }
}

.bg-primary {
    --tw-bg-opacity: 1;
    background-color: #000d2e !important;
    --tw-text-opacity: 1;
    --tw-ring-opacity: 1;
    --tw-ring-color: #000d2e !important;
}
.btn-primary {
    background-color: #000d2e !important;
    --tw-ring-color: #000d2e !important;
}
.text-primary {
    color: #000d2e !important;
}

.logo-segment img {
    width: 150px;
}

.custom-sidebar {
    z-index: 1000;
}

.custom-sidebar .sidebar-menu-title,
.custom-sidebar .navItem,
.custom-sidebar .navItem .icon-arrow,
.custom-sidebar .sidebar-menu .sidebar-submenu > li > a {
    color: #fff;
}

.custom-sidebar .sidebar-menu .sidebar-submenu > li > a::before {
    border-color: #fff;
}

.custom-sidebar .navItem.active {
    background-color: #fff !important;
    --tw-ring-color: #fff !important;
    color: #000d2e !important;
}

/* SELECT2 */
.select2-selection {
    height: 38px !important;
    padding: 4px;
}

.select2-selection__placeholder {
    font-size: 14px;
    color: #000 !important;
}

html.dark .select2-container--default .select2-selection--single,
html.dark .select2-container--default .select2-selection--multiple {
    background-color: rgb(15 23 42 / var(--tw-bg-opacity)) !important;
    border-color: rgb(51 65 85 / var(--tw-border-opacity)) !important;
}
html.dark .select2-selection__placeholder {
    color: #fff !important;
}

.select2-selection {
    height: 40px;
}

.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice {
    background-color: #000d2e !important;
    border: none !important;
    color: #fff !important;
    font-size: 12px;
    line-height: 2;
}

.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice__remove {
    color: #fff !important;
    font-size: 12px;
    border: none !important;
    display: flex;
    margin-left: 4px;
    margin-top: 2px;
}

.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice__remove:hover {
    background-color: transparent !important;
    color: #fff !important;
    border: none !important;
}

.select2-container--default
    .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #000d2e !important;
    color: white !important;
}

/* Pastikan container multi select punya tinggi auto */
.select2-container .select2-selection--multiple {
    min-height: 38px; /* atau sesuai form control height */
    height: auto !important;
    padding: 4px 8px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

/* Styling tag pilihan */
.select2-selection__choice {
    background-color: #001f3f; /* warna navy seperti di screenshot */
    color: white;
    border: none;
    border-radius: 4px;
    padding: 4px 8px;
    margin: 2px;
    font-size: 13px;
}

/* Icon close di dalam tag */
.select2-selection__choice__remove {
    color: white;
    margin-right: 4px;
    cursor: pointer;
}

/* Agar placeholder & input select2 tidak ketimpa */
.select2-search--inline {
    display: inline-flex;
}
.select2-search--inline .select2-search__field {
    min-width: 100px;
    margin: 0 !important;
    margin-bottom: 8px;
}

/* Supaya keterangan tidak naik ke atas */
.select2-container {
    width: 100% !important;
}

/* END SELECT2 */
